// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.preference.menu;

import eu.etaxonomy.cdm.model.location.NamedAreaType;

/**
 * <p>NamedAreaTypeMenuPreferences class.</p>
 *
 * @author n.hoffmann
 * @created May 11, 2010
 * @version 1.0
 */
public class NamedAreaTypeMenuPreferences extends AbstractMenuPreferences<NamedAreaType> {

	/**
	 * <p>Constructor for NamedAreaTypeMenuPreferences.</p>
	 */
	public NamedAreaTypeMenuPreferences() {
		super("Named Area Types", 
				"Edit displayed named area types", 
				false);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.preference.menu.AbstractMenuPreferences#getTermClass()
	 */
	/** {@inheritDoc} */
	@Override
	protected Class<NamedAreaType> getTermClass() {
		return NamedAreaType.class;
	}
}
