// $Id$
/**
* Copyright (C) 2014 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.model;

import eu.etaxonomy.cdm.api.facade.DerivedUnitFacade;
import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
import eu.etaxonomy.cdm.model.occurrence.FieldUnit;

/**
 * Clients implementing this interface indicate, that they use {@link DerivedUnitFacade}s
 * for specimen data instead of {@link DerivedUnit}s and {@link FieldUnit}s themselves.
 *
 * @author pplitzner
 * @date Dec 3, 2014
 *
 */
public interface IDerivedUnitFacadePart {

}
