// $Id$
/**
* Copyright (C) 2014 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.ui.mvc.interfaces;

import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;

/**
 * CdmCompositeController implement the interaction logic for CdmComposites.
 * They also serve as a compatibility bridge between the current GUI structure
 * based on {@link ICdmFormElement} and a refactored structure using the MVC pattern.
 * @author pplitzner
 * @date 11.02.2014
 *
 */
public interface CdmCompositeController extends ICdmFormElement{

}
