package eu.etaxonomy.taxeditor.ui.section;

import eu.etaxonomy.cdm.model.taxon.TaxonBase;

/**
 * <p>ITaxonDetailSection interface.</p>
 *
 * @author n.hoffmann
 * @version $Id: $
 */
public interface ITaxonBaseDetailSection{

	/**
	 * <p>setTaxon</p>
	 *
	 * @param taxon a {@link eu.etaxonomy.cdm.model.taxon.TaxonBase} object.
	 */
	public abstract void setTaxonBase(TaxonBase taxon);

	/**
	 * 
	 * @return
	 */
	public abstract TaxonBase getTaxonBase();
}
